<?php

/***************************************************************************
 *
 *	 PROJECT: eLitius Affiliate Management Software
 *	 VERSION: 1.0 (Free Release)
 *	 LISENSE: GNU GPL (http://www.opensource.org/licenses/gpl-license.html)
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation.
 *
 *   Link to eLitius.com can not be removed from the software pages without
 *	 permission of eLitius respective owners. It is the only requirement
 *	 for using this software.
 *
 *   Copyright 2005-2009 Intelliants LLC
 *   http://www.intelliants.com/
 *
 ***************************************************************************/

$gXpLang = Array(

'account_created' => 'Account created! Thank you!',
'advanced_search' => 'Advanced Search',
'advertise_with_us' => 'Advertise with Us',
'any_word' => 'any word',
'all_words' => 'all words',
'approval_links' => 'Waiting Approval',
'broken_link' => 'Link is broken',
'category' => 'Category',
'category_title' => 'Category title',
'categories' => 'Categories',
'category_exists' => 'Category was already suggested before.',
'category_submitted' => 'Category was submitted for consideration!',
'change_password' => 'Change Password',
'clicks' => 'Clicks',
'click_here' => 'Click here',
'category_empty' => 'Please go into appropriate category and become editor there.',
'comments' => 'Comments',
'comment_added' => 'Comment added.',
'comment_empty' => 'You have not input comments.',
'company_info' => 'Company Info',
'company_jobs' => 'Company Jobs',
'company_policy' => 'Company Policy',
'company_terms' => 'Terms Of Service',
'contact_us' => 'Contact Us',
'current_password' => 'Current Password',
'description_empty' => 'Description is empty!',
'description_incorrect' => 'Make sure you entered valid <b>link description</b>.',
'directory_home' => 'Directory Home',
'edit_account' => 'Edit Account',
'edit_link' => 'Edit Link',
'editor_created' => 'Editor Account Created',
'editor_email_exists' => 'Account with this email already exists!',
'editor_incorrect' => 'Please fill in username',
'editorpsw_incorrect' => 'Please fill in password',
'editor_links' => 'My Links',
'editor_login' => 'Editor Login',
'editor_no_links' => 'You have not submitted any links. Please choose correct category and make sure it fits your link best. Then click SUGGEST LINK, input requested information and submit it. <br /> Usually it takes about 24 hours for a link to be reviewed by administrator.',
'editor_username_exists' => 'Username already taken.',
'editors_area' => 'Editors Area',
'email_incorrect' => 'Make sure you entered valid <b>email</b>.',
'exact_match' => 'exact match',
'featured_links' => 'Featured Links',
'first' => 'First',
'help' => 'Help',
'help_content' => 'Here you should place short or long help.',
'home' => 'Home',
'last' => 'Last',
'leave_comment' => 'Leave Comment',
'link_added' => 'Link added',
'link_changed' => 'Link changed',
'link_details' => 'Link Details',
'link_present' => 'Your link already exists in directory',
'link_rank' => 'Link Rank',
'link_status' => 'Link Status',
'link_submitted' => 'Thank you! Your link was submitted for consideration',
'links' => 'Links',
'links_found' => 'Links Found: ',
'login' => 'login',
'logout' => 'Logout',
'logged_out' => 'You have been logged out.',
'my_categories' => 'My Categories',
'my_links' => 'My Links',
'new_links' => 'New Links',
'new_password' => 'New Password',
'new_password2' => 'New Password[confirm]',
'neighbour_categories' => 'Neighbour Categories',
'next' => 'Next',
'no_backlink' => 'No reciprocal link',
'no_results' => 'No results',
'non_sponsored' => 'Non sponsored link',
'not_found_links' => 'No links found. Please try to broaden your search criterias!',
'not_available' => 'Not available',
'no_approval_links' => 'No links waiting for approval in your categories',
'page' => 'Page',
'partner_links' => 'Partner Links',
'previous' => 'Previous',
'related_categories' => 'Related Categories',
'search' => 'Search',
'statistics' => 'Statistics',
'sponsored_links' => 'Sponsored',
'sponsored_plans' => 'Sponsored Plans',
'suggest_category' => 'SuggestCategory',
'suggest_category_top1' => 'You are going to suggest category here:',
'suggest_link' => 'Suggest Link',
'suggest_link_top1' => 'You are going to suggest your link to the following category:',
'suggest_link_top2' => 'Please make sure your link fits this category.',
'pagerank' => 'Pagerank',
'password' => 'password',
'password_changed' => 'Password has been successfully changed.',
'passwords_dont_match' => 'Passwords you entered do not match.',
'password_empty' => 'You have not entered a new password.',
'password_incorrect' => 'You entered incorrect password.',
'popular_links' => 'Popular Links',
'posted' => 'posted on ',
'reciprocal_empty' => 'Reciprocal link is empty!',
'register' => 'Register',
'register_editor' => 'Register Editor',
'url_empty' => 'url is empty!',
'url_incorrect' => 'Make sure you entered valid <b>link URL</b>.',
'username' => 'username',
'username_empty' => 'Make sure you entered valid username.',
'title_empty' => 'Title is empty!',
'title_incorrect' => 'Make sure you entered valid <b>link title</b>.',
'thank_text' => 'to get back to index page',
'top_links' => 'Top Links',
'total_num_categories' => 'Total number of categories:',
'total_num_links' => 'Total number of links:',
'view_link' => 'View Link',
'view_my_links' => 'View My Links',
'view_my_categories' => 'Categories To Edit',
'your_email' => 'Email',
'your_link_category' => 'Link category',
'your_link_url' => 'Link URL',
'your_link_title' => 'Link title',
'your_link_description' => 'Link description',
'your_link_reciprocal' => 'Link reciprocal URL',
'your_password' => 'Your password',
'your_username' => 'Your username',
'your_username_here' => 'Your username here:',
'welcome' => 'Welcome',

/** special area for additional custom strings **/
'url' => 'Link URL',
'title' => 'Link title',
'description' => 'Link description',
'email' => 'Email',
'reciprocal' => 'Reciprocal URL',
'detailed_description' => 'Detailed Description',

'category_locked' => 'You can not add links in this category.',
/** errors **/
'error_already_voted' => 'You already voted. Please try later.',
'error_banned' => 'Link was banned. Please do not try to add it again.',
'error_broken_link' => 'Link seems to be broken. Please check it manually.',
'error_captcha' => 'Your confirmation code is incorrect.',
'error_category_empty' => 'Please go into appropriate category and become editor there.',
'error_category_exists' => 'Category was already suggested before.',
'error_category_locked' => 'You can not add links in this category. It\'s locked by administrator.',
'error_contact_body' => 'Please fill in contact reason.',
'error_contact_fullname' => 'Please fill in full name.',
'error_description' => 'Make sure you entered valid link description.',
'error_email_incorrect' => 'Make sure you entered valid email.',
'error_sponsored' => 'You should choose sponsored plan. Only sponsored links are accepted.',
'error_link_present' => 'Your link already exists in directory.',
'error_file_upload' => 'Unknown error during file upload.',
'error_title' => 'Make sure you entered valid link title.',
'error_url' => 'Make sure you entered valid link URL.',
'error_max_description' => 'Your description length should be less than '.$gDirConfig['description_max_chars'].' symbols.',
'error_min_description' => 'Your description length should be more than '.$gDirConfig['description_min_chars'].' symbols.',
'error_comment' => 'Make sure you entered valid comment.',
'error_comment_author' => 'Make sure you entered valid comment author.',
'error_comment_email' => 'Make sure you entered valid author email.',
'error_max_comment' => 'Your comment length should be less than '.$gDirConfig['comment_max_chars'].' symbols.',
'error_min_comment' => 'Your comment length should be more than '.$gDirConfig['comment_min_chars'].' symbols.',
'error_no_editor_email' => 'No editors registered with this email.',
'error_root_category' => 'You can not suggest in root category. Please choose an appropiate category and try again.',
'error_suggest_logged' => 'You should be logged in to suggest links.',
'error_password_empty' => 'Please input correct password.',
'error_password_match' => 'Password do not match.',
'error_reciprocal_link' => 'Please input correct reciprocal link.',
'error_reciprocal_domain' => 'Please make sure you use a backlink from your domain.',
'error_username_empty' => 'Please input correct username.',
'error_username_exists' => 'Username already taken. Please input different username.',
'contact_added' => 'Thank you! Your enquiry was successfully sent!',
'general_statistics' => 'General Statistics',

);
?>
